#include "B4RDefines.h"
namespace B4R {
	void B4RNewPing::Initialize(Byte triggerpin, Byte echopin, UInt maxcmdistance) {
			np =  new (backend) NewPing(triggerpin, echopin, maxcmdistance);
	}
	
    ULong B4RNewPing::ping_cm(UInt maxcmdistance) {	
		return np->ping_cm(maxcmdistance);
	}
	
    ULong B4RNewPing::ping_in(UInt maxcmdistance) {	
		return np->ping_in(maxcmdistance);
	}	
	
    ULong B4RNewPing::ping_median(Byte iterations, UInt maxcmdistance) {	
		return np->ping_median(iterations, maxcmdistance);
	}	
	
    UInt B4RNewPing::convert_cm(UInt microseconds) {	
		return np->convert_cm(microseconds);
	}

    UInt B4RNewPing::convert_in(UInt microseconds) {	
		return np->convert_in(microseconds);
	}	
	

	
}